import 'dart:async';
import 'dart:convert';

import 'package:zhiying_comm/util/base_bloc.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class WalletDataBloc extends BlocBase {
  StreamController<Map<String, dynamic>> _dataController =
      StreamController<Map<String, dynamic>>();

  Stream<Map<String, dynamic>> get outData => _dataController.stream;


  @override
  void dispose() {
    _dataController.close();
    _dataController = null;
  }

  ///
  /// 加载头部数据
  ///
  loadHeaderData() async {
     await NetUtil.request("/api/v1/user/wallet/header",onSuccess: (data){
        _dataController.add(data);
      });
  }

}
